Index: eclaireXL_ITX/pll_usb/pll_usb_0002.qip
===================================================================
--- eclaireXL_ITX/pll_usb/pll_usb_0002.qip	(revision 973)
+++ eclaireXL_ITX/pll_usb/pll_usb_0002.qip	(revision 974)
@@ -1,4 +1,4 @@
 set_instance_assignment -name PLL_COMPENSATION_MODE NORMAL -to "*pll_usb_0002*|altera_pll:altera_pll_i*|*"
- 
+set_instance_assignment -name PLL_CHANNEL_SPACING "0.0 KHz" -to "*pll_usb_0002*|altera_pll:altera_pll_i*|*"
 set_instance_assignment -name PLL_AUTO_RESET ON -to "*pll_usb_0002*|altera_pll:altera_pll_i*|*"
 set_instance_assignment -name PLL_BANDWIDTH_PRESET AUTO -to "*pll_usb_0002*|altera_pll:altera_pll_i*|*"
Index: eclaireXL_ITX/pll_usb.sip
===================================================================
--- eclaireXL_ITX/pll_usb.sip	(revision 973)
+++ eclaireXL_ITX/pll_usb.sip	(revision 974)
@@ -1,5 +1,5 @@
 set_global_assignment -entity "pll_usb" -library "lib_pll_usb" -name IP_TOOL_NAME "altera_pll"
-set_global_assignment -entity "pll_usb" -library "lib_pll_usb" -name IP_TOOL_VERSION "16.1"
+set_global_assignment -entity "pll_usb" -library "lib_pll_usb" -name IP_TOOL_VERSION "18.0"
 set_global_assignment -entity "pll_usb" -library "lib_pll_usb" -name IP_TOOL_ENV "mwpim"
 set_global_assignment -library "lib_pll_usb" -name SPD_FILE [file join $::quartus(sip_path) "pll_usb.spd"]
 
Index: eclaireXL_ITX/pll_usb_sim/mentor/msim_setup.tcl
===================================================================
--- eclaireXL_ITX/pll_usb_sim/mentor/msim_setup.tcl	(revision 973)
+++ eclaireXL_ITX/pll_usb_sim/mentor/msim_setup.tcl	(revision 974)
@@ -1,5 +1,5 @@
 
-# (C) 2001-2016 Altera Corporation. All rights reserved.
+# (C) 2001-2020 Altera Corporation. All rights reserved.
 # Your use of Altera Corporation's design tools, logic functions and 
 # other software and tools, and its AMPP partner logic functions, and 
 # any output files any of the foregoing (including device programming 
@@ -46,6 +46,8 @@
 # #
 # # Set any compilation options you require (this is unusual).
 # set USER_DEFINED_COMPILE_OPTIONS <compilation options>
+# set USER_DEFINED_VHDL_COMPILE_OPTIONS <compilation options for VHDL>
+# set USER_DEFINED_VERILOG_COMPILE_OPTIONS <compilation options for Verilog>
 # #
 # # Call command to compile the Quartus EDA simulation library.
 # dev_com
@@ -92,7 +94,7 @@
 # within the Quartus project, and generate a unified
 # script which supports all the Altera IP within the design.
 # ----------------------------------------
-# ACDS 16.1 196 linux 2016.12.30.21:53:15
+# ACDS 18.0 614 linux 2020.02.02.21:03:29
 
 # ----------------------------------------
 # Initialize variables
@@ -111,12 +113,18 @@
 }
 
 if ![info exists QUARTUS_INSTALL_DIR] { 
-  set QUARTUS_INSTALL_DIR "/home/markw/fpga/intelFPGA_lite/16.1/quartus/"
+  set QUARTUS_INSTALL_DIR "/home/markw/intelFPGA_lite/18.0/quartus/"
 }
 
 if ![info exists USER_DEFINED_COMPILE_OPTIONS] { 
   set USER_DEFINED_COMPILE_OPTIONS ""
 }
+if ![info exists USER_DEFINED_VHDL_COMPILE_OPTIONS] { 
+  set USER_DEFINED_VHDL_COMPILE_OPTIONS ""
+}
+if ![info exists USER_DEFINED_VERILOG_COMPILE_OPTIONS] { 
+  set USER_DEFINED_VERILOG_COMPILE_OPTIONS ""
+}
 if ![info exists USER_DEFINED_ELAB_OPTIONS] { 
   set USER_DEFINED_ELAB_OPTIONS ""
 }
@@ -163,23 +171,23 @@
 alias dev_com {
   echo "\[exec\] dev_com"
   if ![ string match "*ModelSim ALTERA*" [ vsim -version ] ] {
-    eval  vcom $USER_DEFINED_COMPILE_OPTIONS     "$QUARTUS_INSTALL_DIR/eda/sim_lib/altera_syn_attributes.vhd"        -work altera      
-    eval  vcom $USER_DEFINED_COMPILE_OPTIONS     "$QUARTUS_INSTALL_DIR/eda/sim_lib/altera_standard_functions.vhd"    -work altera      
-    eval  vcom $USER_DEFINED_COMPILE_OPTIONS     "$QUARTUS_INSTALL_DIR/eda/sim_lib/alt_dspbuilder_package.vhd"       -work altera      
-    eval  vcom $USER_DEFINED_COMPILE_OPTIONS     "$QUARTUS_INSTALL_DIR/eda/sim_lib/altera_europa_support_lib.vhd"    -work altera      
-    eval  vcom $USER_DEFINED_COMPILE_OPTIONS     "$QUARTUS_INSTALL_DIR/eda/sim_lib/altera_primitives_components.vhd" -work altera      
-    eval  vcom $USER_DEFINED_COMPILE_OPTIONS     "$QUARTUS_INSTALL_DIR/eda/sim_lib/altera_primitives.vhd"            -work altera      
-    eval  vcom $USER_DEFINED_COMPILE_OPTIONS     "$QUARTUS_INSTALL_DIR/eda/sim_lib/220pack.vhd"                      -work lpm         
-    eval  vcom $USER_DEFINED_COMPILE_OPTIONS     "$QUARTUS_INSTALL_DIR/eda/sim_lib/220model.vhd"                     -work lpm         
-    eval  vcom $USER_DEFINED_COMPILE_OPTIONS     "$QUARTUS_INSTALL_DIR/eda/sim_lib/sgate_pack.vhd"                   -work sgate       
-    eval  vcom $USER_DEFINED_COMPILE_OPTIONS     "$QUARTUS_INSTALL_DIR/eda/sim_lib/sgate.vhd"                        -work sgate       
-    eval  vcom $USER_DEFINED_COMPILE_OPTIONS     "$QUARTUS_INSTALL_DIR/eda/sim_lib/altera_mf_components.vhd"         -work altera_mf   
-    eval  vcom $USER_DEFINED_COMPILE_OPTIONS     "$QUARTUS_INSTALL_DIR/eda/sim_lib/altera_mf.vhd"                    -work altera_mf   
-    eval  vlog -sv $USER_DEFINED_COMPILE_OPTIONS "$QUARTUS_INSTALL_DIR/eda/sim_lib/mentor/altera_lnsim_for_vhdl.sv"  -work altera_lnsim
-    eval  vcom $USER_DEFINED_COMPILE_OPTIONS     "$QUARTUS_INSTALL_DIR/eda/sim_lib/altera_lnsim_components.vhd"      -work altera_lnsim
-    eval  vlog $USER_DEFINED_COMPILE_OPTIONS     "$QUARTUS_INSTALL_DIR/eda/sim_lib/mentor/cyclonev_atoms_ncrypt.v"   -work cyclonev    
-    eval  vcom $USER_DEFINED_COMPILE_OPTIONS     "$QUARTUS_INSTALL_DIR/eda/sim_lib/cyclonev_atoms.vhd"               -work cyclonev    
-    eval  vcom $USER_DEFINED_COMPILE_OPTIONS     "$QUARTUS_INSTALL_DIR/eda/sim_lib/cyclonev_components.vhd"          -work cyclonev    
+    eval  vcom $USER_DEFINED_VHDL_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS        "$QUARTUS_INSTALL_DIR/eda/sim_lib/altera_syn_attributes.vhd"        -work altera      
+    eval  vcom $USER_DEFINED_VHDL_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS        "$QUARTUS_INSTALL_DIR/eda/sim_lib/altera_standard_functions.vhd"    -work altera      
+    eval  vcom $USER_DEFINED_VHDL_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS        "$QUARTUS_INSTALL_DIR/eda/sim_lib/alt_dspbuilder_package.vhd"       -work altera      
+    eval  vcom $USER_DEFINED_VHDL_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS        "$QUARTUS_INSTALL_DIR/eda/sim_lib/altera_europa_support_lib.vhd"    -work altera      
+    eval  vcom $USER_DEFINED_VHDL_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS        "$QUARTUS_INSTALL_DIR/eda/sim_lib/altera_primitives_components.vhd" -work altera      
+    eval  vcom $USER_DEFINED_VHDL_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS        "$QUARTUS_INSTALL_DIR/eda/sim_lib/altera_primitives.vhd"            -work altera      
+    eval  vcom $USER_DEFINED_VHDL_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS        "$QUARTUS_INSTALL_DIR/eda/sim_lib/220pack.vhd"                      -work lpm         
+    eval  vcom $USER_DEFINED_VHDL_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS        "$QUARTUS_INSTALL_DIR/eda/sim_lib/220model.vhd"                     -work lpm         
+    eval  vcom $USER_DEFINED_VHDL_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS        "$QUARTUS_INSTALL_DIR/eda/sim_lib/sgate_pack.vhd"                   -work sgate       
+    eval  vcom $USER_DEFINED_VHDL_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS        "$QUARTUS_INSTALL_DIR/eda/sim_lib/sgate.vhd"                        -work sgate       
+    eval  vcom $USER_DEFINED_VHDL_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS        "$QUARTUS_INSTALL_DIR/eda/sim_lib/altera_mf_components.vhd"         -work altera_mf   
+    eval  vcom $USER_DEFINED_VHDL_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS        "$QUARTUS_INSTALL_DIR/eda/sim_lib/altera_mf.vhd"                    -work altera_mf   
+    eval  vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS "$QUARTUS_INSTALL_DIR/eda/sim_lib/mentor/altera_lnsim_for_vhdl.sv"  -work altera_lnsim
+    eval  vcom $USER_DEFINED_VHDL_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS        "$QUARTUS_INSTALL_DIR/eda/sim_lib/altera_lnsim_components.vhd"      -work altera_lnsim
+    eval  vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS     "$QUARTUS_INSTALL_DIR/eda/sim_lib/mentor/cyclonev_atoms_ncrypt.v"   -work cyclonev    
+    eval  vcom $USER_DEFINED_VHDL_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS        "$QUARTUS_INSTALL_DIR/eda/sim_lib/cyclonev_atoms.vhd"               -work cyclonev    
+    eval  vcom $USER_DEFINED_VHDL_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS        "$QUARTUS_INSTALL_DIR/eda/sim_lib/cyclonev_components.vhd"          -work cyclonev    
   }
 }
 
@@ -187,7 +195,7 @@
 # Compile the design files in correct order
 alias com {
   echo "\[exec\] com"
-  eval  vcom $USER_DEFINED_COMPILE_OPTIONS "$QSYS_SIMDIR/pll_usb.vho"
+  eval  vcom $USER_DEFINED_VHDL_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS "$QSYS_SIMDIR/pll_usb.vho"
 }
 
 # ----------------------------------------
@@ -225,37 +233,41 @@
 alias h {
   echo "List Of Command Line Aliases"
   echo
-  echo "file_copy                     -- Copy ROM/RAM files to simulation directory"
+  echo "file_copy                                         -- Copy ROM/RAM files to simulation directory"
   echo
-  echo "dev_com                       -- Compile device library files"
+  echo "dev_com                                           -- Compile device library files"
   echo
-  echo "com                           -- Compile the design files in correct order"
+  echo "com                                               -- Compile the design files in correct order"
   echo
-  echo "elab                          -- Elaborate top level design"
+  echo "elab                                              -- Elaborate top level design"
   echo
-  echo "elab_debug                    -- Elaborate the top level design with novopt option"
+  echo "elab_debug                                        -- Elaborate the top level design with novopt option"
   echo
-  echo "ld                            -- Compile all the design files and elaborate the top level design"
+  echo "ld                                                -- Compile all the design files and elaborate the top level design"
   echo
-  echo "ld_debug                      -- Compile all the design files and elaborate the top level design with -novopt"
+  echo "ld_debug                                          -- Compile all the design files and elaborate the top level design with -novopt"
   echo
   echo 
   echo
   echo "List Of Variables"
   echo
-  echo "TOP_LEVEL_NAME                -- Top level module name."
-  echo "                                 For most designs, this should be overridden"
-  echo "                                 to enable the elab/elab_debug aliases."
+  echo "TOP_LEVEL_NAME                                    -- Top level module name."
+  echo "                                                     For most designs, this should be overridden"
+  echo "                                                     to enable the elab/elab_debug aliases."
   echo
-  echo "SYSTEM_INSTANCE_NAME          -- Instantiated system module name inside top level module."
+  echo "SYSTEM_INSTANCE_NAME                              -- Instantiated system module name inside top level module."
   echo
-  echo "QSYS_SIMDIR                   -- Qsys base simulation directory."
+  echo "QSYS_SIMDIR                                       -- Platform Designer base simulation directory."
   echo
-  echo "QUARTUS_INSTALL_DIR           -- Quartus installation directory."
+  echo "QUARTUS_INSTALL_DIR                               -- Quartus installation directory."
   echo
-  echo "USER_DEFINED_COMPILE_OPTIONS  -- User-defined compile options, added to com/dev_com aliases."
+  echo "USER_DEFINED_COMPILE_OPTIONS                      -- User-defined compile options, added to com/dev_com aliases."
   echo
-  echo "USER_DEFINED_ELAB_OPTIONS     -- User-defined elaboration options, added to elab/elab_debug aliases."
+  echo "USER_DEFINED_ELAB_OPTIONS                         -- User-defined elaboration options, added to elab/elab_debug aliases."
+  echo
+  echo "USER_DEFINED_VHDL_COMPILE_OPTIONS                 -- User-defined vhdl compile options, added to com/dev_com aliases."
+  echo
+  echo "USER_DEFINED_VERILOG_COMPILE_OPTIONS              -- User-defined verilog compile options, added to com/dev_com aliases."
 }
 file_copy
 h
Index: eclaireXL_ITX/scaler/crtc.vhdl
===================================================================
--- eclaireXL_ITX/scaler/crtc.vhdl	(nonexistent)
+++ eclaireXL_ITX/scaler/crtc.vhdl	(revision 974)
@@ -0,0 +1,420 @@
+---------------------------------------------------------------------------
+-- (c) 2019 mark watson
+-- I am happy for anyone to use this for non-commercial use.
+-- If my vhdl files are used commercially or otherwise sold,
+-- please contact me for explicit permission at scrameta (gmail).
+-- This applies for source and binary form and derived works.
+---------------------------------------------------------------------------
+
+LIBRARY ieee;
+USE ieee.std_logic_1164.all;
+use ieee.numeric_std.all;
+USE IEEE.STD_LOGIC_UNSIGNED.ALL;
+use IEEE.STD_LOGIC_MISC.all;
+
+ENTITY crtc IS
+PORT 
+( 
+	clk_pixel : in std_logic;
+	reset_n : in std_logic;
+
+	-- inputs
+	resync_start_frame : in std_logic;
+
+	-- outputs
+	hsync : out std_logic;
+	vsync : out std_logic;
+	blank : out std_logic;
+
+	inc_line  : out std_logic;
+	inc_frame : out std_logic;
+	
+	field2 : out std_logic; -- field 2 is lower
+
+	clock_select : out std_logic_vector(2 downto 0);
+	
+	video_id_code : out std_logic_vector(7 downto 0);
+	scaler_select : out std_logic;
+
+	-- to set up params
+	sda : inout std_logic;
+	scl : inout std_logic
+);
+END crtc;
+
+--TODO: start_frame, clock_select and sda/scl
+
+ARCHITECTURE vhdl OF crtc IS
+	-- parameters
+	signal param_h_syncLen_reg      : unsigned(11 downto 0);  --sync right at start
+	signal param_h_preActiveLen_reg  : unsigned(11 downto 0);  --blank after sync
+	signal param_h_activeLen_reg    : unsigned(11 downto 0); --then active
+	signal param_h_postActiveLen_reg : unsigned(11 downto 0); --blank after active
+
+	signal param_v_syncLen_reg      : unsigned(11 downto 0);  --sync right at start
+	signal param_v_preActiveLen_reg  : unsigned(11 downto 0);  --blank after sync
+	signal param_v_activeLen_reg    : unsigned(11 downto 0);  --then active
+	signal param_v_postActiveLen_reg : unsigned(11 downto 0);  --blank after active
+
+	signal param_interlace_reg : std_logic;
+	signal param_interlaceDelayLen_reg : unsigned(11 downto 0); --delay sync by half a len
+
+	signal param_video_id_code_reg : std_logic_vector(7 downto 0); -- CEA 864 id code
+	signal param_scalar_select_reg : std_logic;
+	
+	signal param_clock_select_reg : std_logic_vector(2 downto 0); -- which clock to use
+	
+	signal param_active_reg : std_logic;
+	
+	signal params : std_logic_vector((13*12)-1 downto 0);
+
+	-- state
+	signal h_state_next: std_logic_vector(2 downto 0);
+	signal h_state_reg : std_logic_vector(2 downto 0);
+	signal v_state_next: std_logic_vector(3 downto 0);
+	signal v_state_reg : std_logic_vector(3 downto 0);
+
+	constant H_STATE_IDLE : std_logic_vector(2 downto 0) := "000";
+	constant H_STATE_SYNC : std_logic_vector(2 downto 0) := "001";
+	constant H_STATE_PREBLANK : std_logic_vector(2 downto 0) := "010";
+	constant H_STATE_ACTIVE : std_logic_vector(2 downto 0) := "011";
+	constant H_STATE_POSTBLANK : std_logic_vector(2 downto 0) := "100";
+
+	constant V_STATE_IDLE : std_logic_vector(3 downto 0) := "0000";
+	constant V_STATE_SYNC : std_logic_vector(3 downto 0) := "0001";
+	constant V_STATE_PREBLANK : std_logic_vector(3 downto 0) := "0010";
+	constant V_STATE_ACTIVE : std_logic_vector(3 downto 0) := "0011";
+	constant V_STATE_POSTBLANK : std_logic_vector(3 downto 0) := "0100";
+	constant V_STATE_PRESYNC_FIELD2 : std_logic_vector(3 downto 0) := "0101";
+	constant V_STATE_SYNC_FIELD2 : std_logic_vector(3 downto 0) := "0110";
+	constant V_STATE_POSTSYNC_FIELD2 : std_logic_vector(3 downto 0) := "0111";
+	constant V_STATE_PREBLANK_FIELD2 : std_logic_vector(3 downto 0) := "1000";
+	constant V_STATE_ACTIVE_FIELD2 : std_logic_vector(3 downto 0) := "1001";
+	constant V_STATE_POSTBLANK_FIELD2 : std_logic_vector(3 downto 0) := "1010";
+
+	signal h_delay_next : unsigned(11 downto 0);
+	signal h_delay_reg : unsigned(11 downto 0);
+
+	signal v_delay_next : unsigned(11 downto 0);
+	signal v_delay_reg : unsigned(11 downto 0);
+	signal v_delayh_next : unsigned(11 downto 0);
+	signal v_delayh_reg : unsigned(11 downto 0);
+	
+	signal v_sync_inc : std_logic;
+	
+	signal resync : std_logic;
+	
+	signal h_blank_next : std_logic;
+	signal h_sync_next : std_logic;
+	signal v_blank_next : std_logic;
+	signal v_sync_next : std_logic;
+	signal blank_next : std_logic;
+
+	signal h_blank_reg : std_logic;
+	signal h_sync_reg : std_logic;
+	signal v_blank_reg : std_logic;
+	signal v_sync_reg : std_logic;	
+	signal blank_reg : std_logic;
+	
+BEGIN
+	--registers
+	process(clk_pixel,reset_n)
+	begin
+		if (reset_n='0') then
+			h_state_reg <= H_STATE_IDLE;
+			v_state_reg <= V_STATE_IDLE;
+
+			h_delay_reg <= (others=>'0');
+			v_delay_reg <= (others=>'0');
+			v_delayh_reg <= (others=>'0');
+			
+			h_blank_reg <= '1';
+			h_sync_reg <= '0';
+			v_blank_reg <= '1';
+			v_sync_reg <= '0';
+			blank_reg <= '1';
+		elsif (clk_pixel='1' and clk_pixel'event) then
+			h_state_reg <= h_state_next;
+			v_state_reg <= v_state_next;
+
+			h_delay_reg <= h_delay_next;
+			v_delay_reg <= v_delay_next;
+			v_delayh_reg <= v_delayh_next;
+			
+			h_blank_reg <= h_blank_next;
+			h_sync_reg <= h_sync_next;
+			v_blank_reg <= v_blank_next;
+			v_sync_reg <= v_sync_next;
+			blank_reg <= blank_next;
+		end if;
+	end process;
+	
+	-- parameters from i2c (todo)
+--			-- 720p@50 (temp until we get crtc plumbed to firmware)
+--		param_h_syncLen_next <= to_unsigned(40,12);
+--		param_h_preActiveLen_next <= to_unsigned(220,12);
+--		param_h_activeLen_next <= to_unsigned(1280,12);
+--		param_h_postActiveLen_next <= to_unsigned(440,12);
+--		param_v_syncLen_next <= to_unsigned(5,12);
+--		param_v_preActiveLen_next <= to_unsigned(20,12);
+--		param_v_activeLen_next <= to_unsigned(720,12);
+--		param_v_postActiveLen_next <= to_unsigned(5,12);
+--		param_interlace_next <= '0';
+--		param_interlaceDelayLen_next <= (others=>'0');
+--		param_clock_select_next <= (others=>'0');
+		
+			-- 1080i@50 (temp until we get crtc plumbed to firmware)
+--		param_h_syncLen_next <= to_unsigned(44,12);
+--		param_h_preActiveLen_next <= to_unsigned(148,12);
+--		param_h_activeLen_next <= to_unsigned(1920,12);
+--		param_h_postActiveLen_next <= to_unsigned(528,12);
+--		param_v_syncLen_next <= to_unsigned(5,12);
+--		param_v_preActiveLen_next <= to_unsigned(15,12);
+--		param_v_activeLen_next <= to_unsigned(540,12);
+--		param_v_postActiveLen_next <= to_unsigned(2,12);
+--		param_interlace_next <= '1';
+--		param_interlaceDelayLen_next <= to_unsigned(1320,12);
+--		param_clock_select_next <= (others=>'0');		
+--		param_active_next <= '1';
+
+		
+-- params set from i2c
+	i2cregs : entity work.I2C_regs
+	generic map (
+		SLAVE_ADDR => "0000010",
+		regs => 13,
+		bits => 12
+	)
+	port map (
+		scl => scl,
+		sda => sda,
+		clk => clk_pixel,
+		rst => not(reset_n),
+		
+		reg => params			
+	);
+	param_h_syncLen_reg <= unsigned(params(1*12-1 downto 0*12));
+	param_h_preActiveLen_reg <= unsigned(params(2*12-1 downto 1*12));
+	param_h_activeLen_reg <= unsigned(params(3*12-1 downto 2*12));
+	param_h_postActiveLen_reg <= unsigned(params(4*12-1 downto 3*12));
+	param_v_syncLen_reg <= unsigned(params(5*12-1 downto 4*12));
+	param_v_preActiveLen_reg <= unsigned(params(6*12-1 downto 5*12));
+	param_v_activeLen_reg <= unsigned(params(7*12-1 downto 6*12));
+	param_v_postActiveLen_reg <= unsigned(params(8*12-1 downto 7*12));
+	param_interlace_reg <= params(8*12);
+	param_interlaceDelayLen_reg <= unsigned(params(10*12-1 downto 9*12));
+	param_video_id_code_reg <= params(10*12+8-1 downto 10*12);	
+	param_scalar_select_reg <= params(10*12+9-1);
+	param_clock_select_reg <= params(11*12+3-1 downto 11*12);
+	param_active_reg <= params(12*12);
+	
+	-- state machine
+		-- horizontal
+	process(h_state_reg,h_delay_reg,h_blank_reg,h_sync_reg,
+	   resync_start_frame,
+		param_active_reg,
+		param_h_syncLen_reg,
+		param_h_preActiveLen_reg,
+		param_h_activeLen_reg,
+		param_h_postActiveLen_reg
+	)
+		variable delay_over : std_logic;
+	begin
+		h_state_next <= h_state_reg;
+		h_delay_next <= h_delay_reg;
+		h_blank_next <= h_blank_reg;
+		h_sync_next <= h_sync_reg;
+		
+		v_sync_inc <= '0';
+		inc_line <= '0';		
+
+		h_delay_next <= h_delay_reg - 1;
+
+		delay_over := '0';
+		if (h_delay_reg="00000000001") then
+			delay_over := '1';
+		end if;
+
+		case h_state_reg is
+			when H_STATE_IDLE =>
+				h_blank_next <= '1';
+				h_sync_next <= '1';
+
+				if (param_active_reg='1') then
+					h_state_next <= H_STATE_ACTIVE;
+					h_delay_next <= param_h_activeLen_reg;
+					h_sync_next <= '0';
+					h_blank_next <= '0';
+				end if;
+			when H_STATE_SYNC =>
+				if (delay_over='1') then
+					h_state_next <= H_STATE_PREBLANK;
+					h_delay_next <= param_h_preActiveLen_reg;
+					h_sync_next <= '0';
+				end if;
+			when H_STATE_PREBLANK =>
+				if (delay_over='1') then
+					h_state_next <= H_STATE_ACTIVE;
+					h_delay_next <= param_h_activeLen_reg;
+					h_blank_next <= '0';
+					inc_line <= '1';
+				end if;
+			when H_STATE_ACTIVE =>
+				if (delay_over='1') then
+					h_state_next <= H_STATE_POSTBLANK;
+					h_delay_next <= param_h_postActiveLen_reg;
+					h_blank_next <= '1';					
+				end if;
+			when H_STATE_POSTBLANK =>
+				if (delay_over='1') then
+					h_state_next <= H_STATE_SYNC;
+					h_delay_next <= param_h_syncLen_reg;
+					h_sync_next <= '1';
+					v_sync_inc <= '1';
+				end if;
+			when others =>
+				h_state_next <= H_STATE_IDLE;
+		end case;
+
+		if (param_active_reg='0' or resync_start_frame='1') then
+			h_state_next <= H_STATE_IDLE;
+		end if;
+	end process;
+
+		-- vertical
+	process(v_state_reg,v_delay_reg,v_delayh_reg,v_blank_reg,v_sync_reg,
+		v_sync_inc,
+		resync_start_frame,
+		param_active_reg,
+		param_v_syncLen_reg,
+		param_v_preActiveLen_reg,
+		param_v_activeLen_reg,
+		param_v_postActiveLen_reg,
+		param_interlace_reg,
+		param_interlaceDelayLen_reg		
+	)
+		variable delay_over : std_logic;
+		variable delayh_over : std_logic;
+	begin
+		v_state_next <= v_state_reg;
+		v_delay_next <= v_delay_reg;
+		v_delayh_next <= v_delayh_reg;
+		v_blank_next <= v_blank_reg;
+		v_sync_next <= v_sync_reg;		
+		inc_frame <= '0';
+		field2 <= '0';
+
+		if (v_sync_inc = '1') then
+			v_delay_next <= v_delay_reg - 1;
+		end if;
+		v_delayh_next <= v_delayh_reg - 1;
+
+		delay_over := '0';
+		if (v_delay_reg="0000000001" and v_sync_inc='1') then
+			delay_over := '1';
+		end if;
+		delayh_over := '0';
+		if (v_delayh_reg="00000000001") then
+			delayh_over := '1';
+		end if;
+
+		case v_state_reg is
+			when V_STATE_IDLE =>
+				v_blank_next <= '1';
+				v_sync_next <= '1';		
+
+				if (param_active_reg='1') then
+					v_state_next <= V_STATE_ACTIVE;
+					v_delay_next <= param_v_activeLen_reg;
+					v_sync_next <= '0';
+					v_blank_next <= '0';		
+					inc_frame <= '1';			
+				end if;				
+			when V_STATE_SYNC =>
+				if (delay_over='1') then
+					v_state_next <= V_STATE_PREBLANK;
+					v_delay_next <= param_v_preActiveLen_reg;
+					v_sync_next <= '0';
+				end if;
+			when V_STATE_PREBLANK =>
+				if (delay_over='1') then
+					v_state_next <= V_STATE_ACTIVE;
+					v_delay_next <= param_v_activeLen_reg;
+					v_blank_next <= '0';
+					inc_frame <= '1';
+				end if;
+			when V_STATE_ACTIVE =>
+				if (delay_over='1') then
+					v_state_next <= V_STATE_POSTBLANK;
+					v_delay_next <= param_v_postActiveLen_reg;
+					v_blank_next <= '1';
+				end if;
+			when V_STATE_POSTBLANK =>
+				if (delay_over='1') then
+					if (param_interlace_reg='1') then
+						v_state_next <= V_STATE_PRESYNC_FIELD2;
+						v_delayh_next <= param_interlaceDelayLen_reg;
+					else
+						v_sync_next <= '1';
+						v_state_next <= V_STATE_SYNC;
+						v_delay_next <= param_v_syncLen_reg;
+					end if;
+				end if;
+			when V_STATE_PRESYNC_FIELD2 =>
+				if (delayh_over='1') then
+					v_sync_next <= '1';
+					v_state_next <= V_STATE_SYNC_FIELD2;
+					v_delay_next <= param_v_syncLen_reg;					
+				end if;
+			when V_STATE_SYNC_FIELD2 =>
+				if (delay_over='1') then
+					v_state_next <= V_STATE_POSTSYNC_FIELD2;
+					v_delayh_next <= param_interlaceDelayLen_reg;
+				end if;
+			when V_STATE_POSTSYNC_FIELD2 =>
+				if (delayh_over='1') then
+					v_sync_next <= '0';
+					v_state_next <= V_STATE_PREBLANK_FIELD2;
+					v_delay_next <= param_v_preActiveLen_reg+1;
+				end if;				
+			when V_STATE_PREBLANK_FIELD2 =>
+				if (delay_over='1') then
+					v_state_next <= V_STATE_ACTIVE_FIELD2;
+					v_delay_next <= param_v_activeLen_reg;
+					v_blank_next <= '0';
+					inc_frame <= '1';
+					field2 <= '1';					
+				end if;
+			when V_STATE_ACTIVE_FIELD2 =>
+				if (delay_over='1') then
+					v_state_next <= V_STATE_POSTBLANK_FIELD2;
+					v_delay_next <= param_v_postActiveLen_reg;
+					v_blank_next <= '1';
+				end if;
+			when V_STATE_POSTBLANK_FIELD2 =>
+				if (delay_over='1') then
+					v_sync_next <= '1';
+					v_state_next <= V_STATE_SYNC;
+					v_delay_next <= param_v_syncLen_reg;
+				end if;
+			when others =>
+				v_state_next <= V_STATE_IDLE;
+		end case;
+
+		if (param_active_reg='0' or resync_start_frame='1') then
+			v_state_next <= V_STATE_IDLE;
+		end if;
+	end process;
+	
+	blank_next <= h_blank_next or v_blank_next;
+	
+	-- outputs
+	blank <= blank_reg;
+	hsync <= h_sync_reg;
+	vsync <= v_sync_reg;
+	
+	clock_select <= param_clock_select_reg(2 downto 0);
+	video_id_code <= param_video_id_code_reg;
+	scaler_select <= param_scalar_select_reg;
+
+END vhdl;
Index: eclaireXL_ITX/pll_usb/pll_usb_0002.v
===================================================================
--- eclaireXL_ITX/pll_usb/pll_usb_0002.v	(revision 973)
+++ eclaireXL_ITX/pll_usb/pll_usb_0002.v	(revision 974)
@@ -18,7 +18,7 @@
 );
 
 	altera_pll #(
-		.fractional_vco_multiplier("false"),
+		.fractional_vco_multiplier("true"),
 		.reference_clock_frequency("50.0 MHz"),
 		.operation_mode("normal"),
 		.number_of_clocks(2),
@@ -25,7 +25,7 @@
 		.output_clock_frequency0("48.000000 MHz"),
 		.phase_shift0("0 ps"),
 		.duty_cycle0(50),
-		.output_clock_frequency1("50.000000 MHz"),
+		.output_clock_frequency1("54.000000 MHz"),
 		.phase_shift1("0 ps"),
 		.duty_cycle1(50),
 		.output_clock_frequency2("0 MHz"),
Index: eclaireXL_ITX/pll_usb_sim/pll_usb.vho
===================================================================
--- eclaireXL_ITX/pll_usb_sim/pll_usb.vho	(revision 973)
+++ eclaireXL_ITX/pll_usb_sim/pll_usb.vho	(revision 974)
@@ -1,8 +1,8 @@
 --IP Functional Simulation Model
---VERSION_BEGIN 16.1 cbx_mgl 2016:10:19:22:10:30:SJ cbx_simgen 2016:10:19:21:26:20:SJ  VERSION_END
+--VERSION_BEGIN 18.0 cbx_mgl 2018:04:18:07:37:08:SJ cbx_simgen 2018:04:18:06:50:44:SJ  VERSION_END
 
 
--- Copyright (C) 2016  Intel Corporation. All rights reserved.
+-- Copyright (C) 2018  Intel Corporation. All rights reserved.
 -- Your use of Intel Corporation's design tools, logic functions 
 -- and other software and tools, and its AMPP partner logic 
 -- functions, and any output files from any of the foregoing 
@@ -10,12 +10,11 @@
 -- associated documentation or information are expressly subject 
 -- to the terms and conditions of the Intel Program License 
 -- Subscription Agreement, the Intel Quartus Prime License Agreement,
--- the Intel MegaCore Function License Agreement, or other 
--- applicable license agreement, including, without limitation, 
--- that your use is for the sole purpose of programming logic 
--- devices manufactured by Intel and sold by Intel or its 
--- authorized distributors.  Please refer to the applicable 
--- agreement for further details.
+-- the Intel FPGA IP License Agreement, or other applicable license
+-- agreement, including, without limitation, that your use is for
+-- the sole purpose of programming logic devices manufactured by
+-- Intel and sold by Intel or its authorized distributors.  Please
+-- refer to the applicable agreement for further details.
 
 -- You may only use these simulation model output files for simulation
 -- purposes and expressly not for synthesis or any other purposes (in which
@@ -221,7 +220,7 @@
 		duty_cycle7 => 50,
 		duty_cycle8 => 50,
 		duty_cycle9 => 50,
-		fractional_vco_multiplier => "false",
+		fractional_vco_multiplier => "true",
 		m_cnt_bypass_en => "false",
 		m_cnt_hi_div => 1,
 		m_cnt_lo_div => 1,
@@ -234,7 +233,7 @@
 		number_of_clocks => 2,
 		operation_mode => "normal",
 		output_clock_frequency0 => "48.000000 MHz",
-		output_clock_frequency1 => "50.000000 MHz",
+		output_clock_frequency1 => "54.000000 MHz",
 		output_clock_frequency10 => "0 MHz",
 		output_clock_frequency11 => "0 MHz",
 		output_clock_frequency12 => "0 MHz",
